by (340 points)
New installation - Version 3.5.0

"An error occurred"
      and
"Application error" message appears right after logging in for the first time.  The installation itself went smoothly.

By the way, it is my understanding that this is the Free CRM (250 contact) version; is that correct?

Thanks in advance!!

1 Answer

by (14.9k points)
Hello Russ Thomas,

You can see information about the corresponding error in php_error.log. Please provide information about the environment where this error occurred. Specify the PHP version and the full list of modules.

Yes, Free CRM version include 250 contact.

Best regards, Pavel.
by (340 points)
There is no php_error.log on the system.  However, /var/log/apache2/error.log shows errors trying to do something with IonCube:
Failed loading /usr/lib/php/7.4/20121212/ioncube_loader_lin_7.4_ts.so:  /usr/lib/php/7.4/20121212/ioncube_loader_lin_7.4_ts.so: undefined symbol: core_globals_offset

--------------------------------------------
IonCube extensions in /etc/php/7.4/apache2/php.ini
zend_extension = /usr/lib/php/7.4/20121212/ioncube_loader_lin_7.4.so
zend_extension = /usr/lib/php/7.4/20121212/ioncube_loader_lin_7.4_ts.so
extension=php_gmp.so

Regarding extension=php_gmp.so, /var/log/apache2/error.log shows this error:
PHP Warning:  PHP Startup: Unable to load dynamic library 'php_gmp.so' (tried: /usr/lib/php/20190902/php_gmp.so (/usr/lib/php/20190902/php_gmp.so: cannot open shared object file: No such file or directory), /usr/lib/php/20190902/php_gmp.so.so (/usr/lib/php/20190902/php_gmp.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0

I don't know if I even need extension=php_gmp.so.  Someone said it is needed, but someone else on the same help page said it isn't needed.

7.4.so does not create an error
-----------------------------------------

Also, /var/sentora/logs/domains/brad/bradmarple.com-error.log shows a bunch of errors:
     http://bradmarple.com/bradmarple.com-error.log
---------------------------------------------

Environment:
Welcome to Ubuntu 20.04.5 LTS (GNU/Linux 5.4.0-132-generic x86_64)

 * Documentation:  https://help.ubuntu.com
 * Management:     https://landscape.canonical.com
 * Support:        https://ubuntu.com/advantage

  System information as of Mon 21 Nov 2022 06:51:56 AM EST

  System load:  0.12               Processes:             179
  Usage of /:   24.2% of 37.23GB   Users logged in:       0
  Memory usage: 34%                IPv4 address for eth0: 5.161.149.225
  Swap usage:   0%                 IPv6 address for eth0: 2a01:4ff:f0:e460::1
----------------------------------

PHP version: 7.4.3

I don't know if this has any bearing, but I am using the Sentora.org 2.0 hosting environment.  For years I have used SeoToaster on their 1.0.3 version on another server with no problems. The current issue is a new installation on a new server.

I am sorry for such a lengthy response, but hopefully it will help you help me!
by (14.9k points)
Hello Russ Thomas,

After analyzing this log, we did not see a single error there, only warnings. I would advise you to correctly install or disable the php_gmp.so module that causes the error.

Best regards, Pavel.
ago by (14.9k points)
We decided to investigate the discussed problem in more detail and took the following actions:

- we setup AWS instance with Ubuntu 20.04.5 LTS
Filesystem      Size  Used Avail Use% Mounted on
/dev/root       7.6G  2.6G  5.0G  35% /

- strictly followed our instructions at https://www.seotoaster.com/seotoaster-ubuntu-vps-installation.html with little changes in PHP installation part:
# sudo apt-get install php7.4 libapache2-mod-php7.4 php7.4-mbstring php7.4-curl php7.4-zip php7.4-gd php7.4-mysql php7.4-json php7.4-xml php7.4-gmp php7.4-imap php7.4-zip
# php --version
PHP 7.4.3 (cli) (built: Nov  2 2022 09:53:44) ( NTS )

and used 3.5.0 version:
# sudo cd /opt && wget https://www.seotoaster.com/downloads/seotoaster.v3.5.0.zip
# sudo unzip seotoaster.v3.5.0.zip -d seotoaster

- installed Ioncube (you can use the following instruction https://www.cloudbooklet.com/how-to-install-ioncube-loader-on-ubuntu/)

- launched Toaster with no issues at all, there were no signs of the described problem, we also checked the logs and didn't find any warnings similar to yours

We'd like to recommend you follow our instructions and this report and try to re-setup Seotoaster.

Best regards, Pavel.
ago by (340 points)
Thank you, I appreciate the attention you are giving to this!  I will go through the process again, although it seems the problem I am having is mainly related to the IonCube installation.

I do have one question right now:  The unzip command appears to send the files to the seotoaster directory instead of the website's root directory.  Is that necessary?  With my older installations on another server, which all run fine, the files are in the root.
ago by (14.9k points)
Hello Russ Thomas,

We are always glad to assist you. As for your question, the main point here is to place Seotoaster content in the root directory, so you can extract it in any manner you'd like.

Best regards, Pavel.
ago by (340 points)
Problem when installing MariaDB:

rstinternet@admin:~$ sudo apt-get install -y mariadb-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mariadb-server : Depends: mariadb-server-10.3 (>= 1:10.3.37-0ubuntu0.20.04.1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
--------------------------------------------

Any ideas?
ago by (14.9k points)
You can try to install mysql server

apt-get install -y mysql-server

Regards, Pavel.
...